# This file created by conda-build 3.0.31
# meta.yaml template originally from:
# /opt/concourse/volumes/live/d35504d9-d9d2-45bb-744b-1e328487afdc/volume/rsync-recipes/opencv-3.3.1-python2.7hdf51.10-on-osx, last modified Mon Dec  4 13:05:42 2017
# ------------------------------------------------

package:
    name: opencv
    version: 3.3.1
source:
    -   sha256: e59412c7e0d398113b1e454d600fcdff54cd77100a84483ac0d82bbf52496932
        url: https://github.com/opencv/opencv/archive/3.3.1.zip
    -   folder: opencv_contrib-3.3.1
        sha256: 6f3ce148dc6e147496f0dbec1c99e917e13bf138f5a8ccfc3765f5c2372bd331
        url: https://github.com/opencv/opencv_contrib/archive/3.3.1.tar.gz
build:
    number: '0'
    run_exports:
        - opencv >=3.3.1,<3.3.1
    string: py27h2dac755_0
requirements:
    build:
        - bzip2 1.0.6 h649919c_2
        - ca-certificates 2017.08.26 ha1e5d58_0
        - cairo 1.14.10 h913ea44_6
        - cctools 895 h7512d6f_0
        - certifi 2017.11.5 py27hfa9a1c4_0
        - clang 4.0.1 h662ec87_0
        - clang_osx-64 4.0.1 h9d74b7d_5
        - clangxx 4.0.1 hc9b4283_0
        - clangxx_osx-64 4.0.1 h557b0ca_5
        - cmake 3.9.4 h30c3106_0
        - compiler-rt 4.0.1 h5487866_0
        - curl 7.55.1 h2e228d0_4
        - eigen 3.3.3 h504d716_0
        - expat 2.2.5 hb8e80ba_0
        - ffmpeg 3.4 h766ddd1_0
        - fontconfig 2.12.4 hffb9db1_2
        - freetype 2.8 h12048fb_1
        - gettext 0.19.8.1 h15daf44_3
        - git 2.15.0 pl526h6165b5f_0
        - glib 2.53.6 h33f6a65_2
        - graphite2 1.3.10 h233cf8b_0
        - harfbuzz 1.5.0 h6db888e_0
        - hdf5 1.10.1 ha036c08_1
        - icu 58.2 h4b95b61_1
        - intel-openmp 2018.0.0 h8158457_8
        - jasper 1.900.1 h1f36771_4
        - jpeg 9b he5867d9_2
        - ld64 274.2 h7c2db76_0
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1 hb4e282d_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libopus 1.2.1 h169cedb_0
        - libpng 1.6.32 hd1e8b91_4
        - libprotobuf 3.4.1 h326466f_0
        - libssh2 1.8.0 h9feafcd_3
        - libtiff 4.0.9 h0dac147_0
        - libuv 1.14.0 h740c2a5_0
        - libvpx 1.6.1 h057a404_0
        - libxml2 2.9.4 hf05c021_6
        - llvm 4.0.1 hc748206_0
        - llvm-lto-tapi 4.0.1 h6701bc3_0
        - mkl 2018.0.1 hfbd8650_4
        - ncurses 6.0 hd04f020_2
        - numpy 1.9.3 py27hb3dd696_3
        - openssl 1.0.2m h86d3e6a_1
        - pcre 8.41 hfb6ab37_1
        - perl 5.26.0 h5b8ca18_0
        - pip 9.0.1 py27h1567d89_4
        - pixman 0.34.0 hca0a616_3
        - python 2.7.14 ha7e29e4_26
        - readline 7.0 hc1231fa_4
        - rhash 1.3.5 h3aa0507_1
        - setuptools 36.5.0 py27h2a45cec_0
        - sqlite 3.20.1 h7e4c145_2
        - tk 8.6.7 h35a86e2_3
        - wheel 0.30.0 py27h677a027_1
        - xz 5.2.3 h0278029_2
        - zlib 1.2.11 hf3cbc9b_2
    host:
        - bzip2 1.0.6 h649919c_2
        - ca-certificates 2017.08.26 ha1e5d58_0
        - cairo 1.14.10 h913ea44_6
        - certifi 2017.11.5 py27hfa9a1c4_0
        - cmake 3.9.4 h30c3106_0
        - curl 7.55.1 h2e228d0_4
        - eigen 3.3.3 h504d716_0
        - expat 2.2.5 hb8e80ba_0
        - ffmpeg 3.4 h766ddd1_0
        - fontconfig 2.12.4 hffb9db1_2
        - freetype 2.8 h12048fb_1
        - gettext 0.19.8.1 h15daf44_3
        - git 2.15.0 pl526h6165b5f_0
        - glib 2.53.6 h33f6a65_2
        - graphite2 1.3.10 h233cf8b_0
        - harfbuzz 1.5.0 h6db888e_0
        - hdf5 1.10.1 ha036c08_1
        - icu 58.2 h4b95b61_1
        - intel-openmp 2018.0.0 h8158457_8
        - jasper 1.900.1 h1f36771_4
        - jpeg 9b he5867d9_2
        - libcxx 4.0.1 h579ed51_0
        - libcxxabi 4.0.1 hebd6815_0
        - libedit 3.1 hb4e282d_0
        - libffi 3.2.1 h475c297_4
        - libgfortran 3.0.1 h93005f0_2
        - libiconv 1.15 hdd342a3_7
        - libopus 1.2.1 h169cedb_0
        - libpng 1.6.32 hd1e8b91_4
        - libprotobuf 3.4.1 h326466f_0
        - libssh2 1.8.0 h9feafcd_3
        - libtiff 4.0.9 h0dac147_0
        - libuv 1.14.0 h740c2a5_0
        - libvpx 1.6.1 h057a404_0
        - libxml2 2.9.4 hf05c021_6
        - mkl 2018.0.1 hfbd8650_4
        - ncurses 6.0 hd04f020_2
        - numpy 1.9.3 py27hb3dd696_3
        - openssl 1.0.2m h86d3e6a_1
        - pcre 8.41 hfb6ab37_1
        - perl 5.26.0 h5b8ca18_0
        - pip 9.0.1 py27h1567d89_4
        - pixman 0.34.0 hca0a616_3
        - python 2.7.14 ha7e29e4_26
        - readline 7.0 hc1231fa_4
        - rhash 1.3.5 h3aa0507_1
        - setuptools 36.5.0 py27h2a45cec_0
        - sqlite 3.20.1 h7e4c145_2
        - tk 8.6.7 h35a86e2_3
        - wheel 0.30.0 py27h677a027_1
        - xz 5.2.3 h0278029_2
        - zlib 1.2.11 hf3cbc9b_2
    run:
        - ffmpeg >=3.4,<3.5.0a0
        - harfbuzz >=1.5.0,<2.0a0
        - hdf5 >=1.10.1,<1.10.2.0a0
        - jasper >=1.900.1,<2.0a0
        - jpeg >=9b,<10a
        - libcxx  >=4.0.1
        - libpng >=1.6.32,<1.7.0a0
        - libprotobuf >=3.4.1,<3.5.0a0
        - libtiff >=4.0.9,<5.0a0
        - numpy  >=1.9.3,<2.0a0
        - python >=2.7,<2.8.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - test -f $PREFIX/lib/libopencv_aruco.dylib
        - test -f $PREFIX/lib/libopencv_bgsegm.dylib
        - test -f $PREFIX/lib/libopencv_calib3d.dylib
        - test -f $PREFIX/lib/libopencv_ccalib.dylib
        - test -f $PREFIX/lib/libopencv_core.dylib
        - test -f $PREFIX/lib/libopencv_datasets.dylib
        - test -f $PREFIX/lib/libopencv_dnn.dylib
        - test -f $PREFIX/lib/libopencv_dpm.dylib
        - test -f $PREFIX/lib/libopencv_face.dylib
        - test -f $PREFIX/lib/libopencv_features2d.dylib
        - test -f $PREFIX/lib/libopencv_flann.dylib
        - test -f $PREFIX/lib/libopencv_fuzzy.dylib
        - test -f $PREFIX/lib/libopencv_highgui.dylib
        - test -f $PREFIX/lib/libopencv_imgcodecs.dylib
        - test -f $PREFIX/lib/libopencv_imgproc.dylib
        - test -f $PREFIX/lib/libopencv_line_descriptor.dylib
        - test -f $PREFIX/lib/libopencv_ml.dylib
        - test -f $PREFIX/lib/libopencv_objdetect.dylib
        - test -f $PREFIX/lib/libopencv_optflow.dylib
        - test -f $PREFIX/lib/libopencv_phase_unwrapping.dylib
        - test -f $PREFIX/lib/libopencv_photo.dylib
        - test -f $PREFIX/lib/libopencv_plot.dylib
        - test -f $PREFIX/lib/libopencv_reg.dylib
        - test -f $PREFIX/lib/libopencv_rgbd.dylib
        - test -f $PREFIX/lib/libopencv_saliency.dylib
        - test -f $PREFIX/lib/libopencv_shape.dylib
        - test -f $PREFIX/lib/libopencv_stereo.dylib
        - test -f $PREFIX/lib/libopencv_stitching.dylib
        - test -f $PREFIX/lib/libopencv_structured_light.dylib
        - test -f $PREFIX/lib/libopencv_superres.dylib
        - test -f $PREFIX/lib/libopencv_surface_matching.dylib
        - test -f $PREFIX/lib/libopencv_text.dylib
        - test -f $PREFIX/lib/libopencv_tracking.dylib
        - test -f $PREFIX/lib/libopencv_video.dylib
        - test -f $PREFIX/lib/libopencv_videoio.dylib
        - test -f $PREFIX/lib/libopencv_videostab.dylib
        - test -f $PREFIX/lib/libopencv_xfeatures2d.dylib
        - test -f $PREFIX/lib/libopencv_ximgproc.dylib
        - test -f $PREFIX/lib/libopencv_xobjdetect.dylib
        - test -f $PREFIX/lib/libopencv_xphoto.dylib
        - conda inspect linkages -p $PREFIX opencv
    imports:
        - cv2
        - cv2.xfeatures2d
    requires:
        - clangxx_osx-64
about:
    description: 'OpenCV (Open Source Computer Vision Library) includes several hundreds
        of computer vision algorithms.

        It has a modular structure,which means that the package includes several shared
        or static libraries.

        '
    doc_source_url: https://github.com/opencv/opencv/tree/master/doc
    doc_url: http://docs.opencv.org/
    home: http://opencv.org/
    license: BSD 3-clause
    license_family: BSD
    summary: Computer vision and machine learning software library.
extra:
    copy_test_source_files: true
    final: true
